Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.cpd
Class GridBagHelper

    java.lang.Object
      net.sourceforge.pmd.cpd.GridBagHelper

public class GridBagHelper
extends java.lang.Object

Field Summary
`(package private) java.awt.GridBagConstraints` | `c`
`(package private) java.awt.Container` | `container`
`(package private) java.awt.GridBagLayout` | `gridbag`
`(package private) int` | `labelAlignment`
`(package private) double[]` | `weights`
`(package private) int` | `x`
`(package private) int` | `y`

Constructor Summary
`GridBagHelper(java.awt.Container container, double[] weights)`

Method Summary
`void` | `add(java.awt.Component component)`
`void` | `add(java.awt.Component component, int width)`
`void` | `addLabel(java.lang.String label)`
`void` | `nextRow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gridbag

    java.awt.GridBagLayout gridbag

### container

    java.awt.Container container

### c

    java.awt.GridBagConstraints c

### x

    int x

### y

    int y

### labelAlignment

    int labelAlignment

### weights

    double[] weights

Constructor Detail

### GridBagHelper

    public GridBagHelper(java.awt.Container container,
                         double[] weights)

Method Detail

### add

    public void add(java.awt.Component component)

### add

    public void add(java.awt.Component component,
                    int width)

### nextRow

    public void nextRow()

### addLabel

    public void addLabel(java.lang.String label)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.